=head1 NAME

Attean::API::Quad - Role representing quads

=head1 VERSION

This document describes Attean::API::Quad version 0.012

=head1 SYNOPSIS

  use v5.14;
  use Attean;

=head1 DESCRIPTION

This is a Moo role representing quads.

=head1 ROLES

This role consumes L<Attean::API::QuadPattern>, L<Attean::API::TripleOrQuad>, L<Attean::API::QuadOrQuadPattern> and L<Attean::API::Binding>, which provide the following methods:

=over 4

=item C<< mapping >>

=item C<< variables >>

=item C<< values >>

=item C<< value >>

=item C<< tuples_string >>

=item C<< as_string >>

=item C<< apply_map >>

=back

=head1 METHODS

=over 4

=item C<< subject >>

=item C<< predicate >>

=item C<< object >>

=item C<< graph >>

=back

=head1 BUGS

Please report any bugs or feature requests to through the GitHub web interface
at L<https://github.com/kasei/attean/issues>.

=head1 SEE ALSO

L<http://www.perlrdf.org/>

=head1 AUTHOR

Gregory Todd Williams  C<< <gwilliams@cpan.org> >>

=head1 COPYRIGHT

Copyright (c) 2014--2016 Gregory Todd Williams.
This program is free software; you can redistribute it and/or modify it under
the same terms as Perl itself.

=cut
